### A free/open-source library for quantitative finance

Classes
ql/experimental/inflation/genericindexes.hpp File Reference

Generic inflation indexes. More...

`#include <ql/indexes/inflationindex.hpp>`
Include dependency graph for genericindexes.hpp:

## Classes

class | GenericRegion
| Generic geographical/economic region. More...
class | GenericCPI
| Generic CPI index. More...
class | YYGenericCPI
| Genuine year-on-year Generic CPI (i.e. not a ratio) More...
class | YYGenericCPIr
| Fake year-on-year GenericCPI (i.e. a ratio) More...

## Detailed Description

Generic inflation indexes.